apiVersion: kops.k8s.io/v1alpha2
kind: Cluster
metadata:
  creationTimestamp: "2022-09-13T04:27:37Z"
  generation: 2
  name: dev.datasaker.io
spec:
  api:
    loadBalancer:
      class: Classic
      type: Public
  authorization:
    rbac: {}
  channel: stable
  cloudProvider: aws
  configBase: s3://clusters.dev.datasaker.io/dev.datasaker.io
  containerRuntime: containerd
  containerd:
    configOverride: |
      version = 2
      imports = ["/etc/containerd/runtime_*.toml"]

      [plugins]
        [plugins."io.containerd.grpc.v1.cri"]
          sandbox_image = "registry.k8s.io/pause:3.6@sha256:3d380ca8864549e74af4b29c10f9cb0956236dfb01c40ca076fb6c37253234db"
          [plugins."io.containerd.grpc.v1.cri".containerd]
            [plugins."io.containerd.grpc.v1.cri".containerd.runtimes]
              [plugins."io.containerd.grpc.v1.cri".containerd.runtimes.runc]
                runtime_type = "io.containerd.runc.v2"
                [plugins."io.containerd.grpc.v1.cri".containerd.runtimes.runc.options]
                  SystemdCgroup = true
        [plugins."io.containerd.grpc.v1.cri".registry.configs."registry-1.docker.io".auth]
          username = "datasaker"
          password = "dckr_pat_kQP6vcHm_jMChWd_zvgH_G3kucc"
  etcdClusters:
  - cpuRequest: 200m
    etcdMembers:
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2a
      name: a
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2b
      name: b
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2c
      name: c
    memoryRequest: 100Mi
    name: main
  - cpuRequest: 100m
    etcdMembers:
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2a
      name: a
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2b
      name: b
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2c
      name: c
    memoryRequest: 100Mi
    name: events
  iam:
    allowContainerRegistry: true
    legacy: false
  kubelet:
    anonymousAuth: false
  kubernetesApiAccess:
  - 0.0.0.0/0
  - ::/0
  kubernetesVersion: 1.25.2
  masterInternalName: api.internal.dev.datasaker.io
  masterPublicName: api.dev.datasaker.io
  networkCIDR: 172.21.0.0/16
  networkID: vpc-0b6e0b906c678a22f
  networking:
    calico: {}
  nonMasqueradeCIDR: 100.64.0.0/10
  sshAccess:
  - 0.0.0.0/0
  - ::/0
  subnets:
  - cidr: 172.21.8.0/23
    id: subnet-0c875e254456809f7
    name: ap-northeast-2a
    type: Private
    zone: ap-northeast-2a
  - cidr: 172.21.10.0/23
    id: subnet-05672a669943fc12f
    name: ap-northeast-2b
    type: Private
    zone: ap-northeast-2b
  - cidr: 172.21.12.0/23
    id: subnet-0940fd78504acbbde
    name: ap-northeast-2c
    type: Private
    zone: ap-northeast-2c
  - cidr: 172.21.0.0/24
    id: subnet-0de55619bee2411f8
    name: utility-ap-northeast-2a
    type: Utility
    zone: ap-northeast-2a
  - cidr: 172.21.1.0/24
    id: subnet-0a5d787353f874684
    name: utility-ap-northeast-2b
    type: Utility
    zone: ap-northeast-2b
  - cidr: 172.21.2.0/24
    id: subnet-0ee26ffc561efb292
    name: utility-ap-northeast-2c
    type: Utility
    zone: ap-northeast-2c
  topology:
    dns:
      type: Public
    masters: private
    nodes: private

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-10-19T07:38:40Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-data-druid-a
spec:
  image: ami-0abb33b73a78cae31
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data-druid
    kops.k8s.io/instancegroup: dev-data-druid-a
  role: Node
  subnets:
  - ap-northeast-2a
  taints:
  - dev/data-druid:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-10-19T07:39:34Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-data-druid-b
spec:
  image: ami-0abb33b73a78cae31
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data-druid
    kops.k8s.io/instancegroup: dev-data-druid-b
  role: Node
  subnets:
  - ap-northeast-2b
  taints:
  - dev/data-druid:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-10-19T07:40:36Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-data-druid-c
spec:
  image: ami-0abb33b73a78cae31
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data-druid
    kops.k8s.io/instancegroup: dev-data-druid-c
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - dev/data-druid:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-10-19T07:43:26Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-data-kafka-a
spec:
  image: ami-0abb33b73a78cae31
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data-kafka
    kops.k8s.io/instancegroup: dev-data-kafka-a
  role: Node
  subnets:
  - ap-northeast-2a
  taints:
  - dev/data-kafka:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-10-19T07:44:44Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-data-kafka-b
spec:
  image: ami-0abb33b73a78cae31
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data-kafka
    kops.k8s.io/instancegroup: dev-data-kafka-b
  role: Node
  subnets:
  - ap-northeast-2b
  taints:
  - dev/data-kafka:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-10-19T07:45:41Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-data-kafka-c
spec:
  image: ami-0abb33b73a78cae31
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data-kafka
    kops.k8s.io/instancegroup: dev-data-kafka-c
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - dev/data-kafka:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:41:13Z"
  generation: 7
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-mgmt-a
spec:
  image: ami-0abb33b73a78cae31
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: mgmt
    kops.k8s.io/instancegroup: dev-mgmt-a
  role: Node
  subnets:
  - ap-northeast-2a
  taints:
  - dev/mgmt:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:42:21Z"
  generation: 5
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-mgmt-b
spec:
  image: ami-0abb33b73a78cae31
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: mgmt
    kops.k8s.io/instancegroup: dev-mgmt-b
  role: Node
  subnets:
  - ap-northeast-2b
  taints:
  - dev/mgmt:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-10-19T07:33:08Z"
  generation: 4
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-mgmt-c
spec:
  image: ami-0abb33b73a78cae31
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: mgmt
    kops.k8s.io/instancegroup: dev-mgmt-c
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - dev/mgmt:NoSchedule

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:37:18Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-process-a
spec:
  image: ami-0abb33b73a78cae31
  machineType: m6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: dev-process-a
  role: Node
  subnets:
  - ap-northeast-2a

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:38:00Z"
  generation: 4
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-process-b
spec:
  image: ami-0abb33b73a78cae31
  machineType: m6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: dev-process-b
  role: Node
  subnets:
  - ap-northeast-2b

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:38:31Z"
  generation: 4
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-process-c
spec:
  image: ami-0abb33b73a78cae31
  machineType: m6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: dev-process-c
  role: Node
  subnets:
  - ap-northeast-2c

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:27:37Z"
  generation: 3
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: master-ap-northeast-2a
spec:
  image: ami-0abb33b73a78cae31
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: c6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    kops.k8s.io/instancegroup: master-ap-northeast-2a
  role: Master
  rootVolumeSize: 50
  subnets:
  - ap-northeast-2a

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:27:37Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: master-ap-northeast-2b
spec:
  image: ami-0abb33b73a78cae31
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: c6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    kops.k8s.io/instancegroup: master-ap-northeast-2b
  role: Master
  rootVolumeSize: 50
  subnets:
  - ap-northeast-2b

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:27:37Z"
  generation: 2
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: master-ap-northeast-2c
spec:
  image: ami-0abb33b73a78cae31
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: c6i.large
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    kops.k8s.io/instancegroup: master-ap-northeast-2c
  role: Master
  rootVolumeSize: 50
  subnets:
  - ap-northeast-2c
